Add meeting to room
curl --request PUT \
--url https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Rooms
Add meeting to room
Add a meeting you can access to a room you own or have edit access to. Only meetings that have started can be added, and repeating the request returns 204. Teammates the room is shared with can read the meetings in it.
PUT
/
rooms
/
{room_id}
/
meetings
/
{meeting_id}
Add meeting to room
curl --request PUT \
--url https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.timeless.day/v1/rooms/{room_id}/meetings/{meeting_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Authorizations
API token from your Timeless dashboard.
Path Parameters
Room ID, for example room_abc123.
Meeting ID, for example mtg_abc123.
Response
The meeting is in the room. No response body.